#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000007EC, "_module_flags");
  MakeDword(0x000007EC);
  MakeName(0x000007F0, "_module_name");
  MakeStr(0x000007F0, BADADDR);
  MakeName(0x0000080C, "_module_gp");
  MakeDword(0x0000080C);
  MakeName(0x00000810, "_module_exports");
  MakeDword(0x00000810);
  OpOff(0x00000810, 0, 0);
  MakeName(0x00000814, "_module_exp_end");
  MakeDword(0x00000814);
  OpOff(0x00000814, 0, 0);
  MakeName(0x00000818, "_module_imports");
  MakeDword(0x00000818);
  OpOff(0x00000818, 0, 0);
  MakeName(0x0000081C, "_module_imp_end");
  MakeDword(0x0000081C);
  OpOff(0x0000081C, 0, 0);
}

static createImports() {
  MakeName(0x000007AC, "import0");
  MakeDword(0x000007AC);
  OpOff(0x000007AC, 0, 0);
  MakeName(0x00000824, "import0_name");
  MakeStr(0x00000824, BADADDR);
  MakeName(0x000007B0, "import0_flags");
  MakeDword(0x000007B0);
  MakeName(0x000007B4, "import0_counts");
  MakeDword(0x000007B4);
  MakeName(0x000007B8, "import0_nids");
  MakeDword(0x000007B8);
  OpOff(0x000007B8, 0, 0);
  MakeName(0x000007BC, "import0_funcs");
  MakeDword(0x000007BC);
  OpOff(0x000007BC, 0, 0);
  MakeName(0x000008FC, "import0_sceKernelTryLockMutex");
  MakeDword(0x000008FC);
  MakeName(0x0000072C, "sceKernelTryLockMutex");
  MakeFunction(0x0000072C, BADADDR);
  MakeName(0x00000900, "import0_sceKernelUnlockMutex");
  MakeDword(0x00000900);
  MakeName(0x00000734, "sceKernelUnlockMutex");
  MakeFunction(0x00000734, BADADDR);
  MakeName(0x00000904, "import0_sceKernelLockMutex");
  MakeDword(0x00000904);
  MakeName(0x0000073C, "sceKernelLockMutex");
  MakeFunction(0x0000073C, BADADDR);
  MakeName(0x00000908, "import0_sceKernelCreateMutex");
  MakeDword(0x00000908);
  MakeName(0x00000744, "sceKernelCreateMutex");
  MakeFunction(0x00000744, BADADDR);
  MakeName(0x0000090C, "import0_sceKernelDeleteMutex");
  MakeDword(0x0000090C);
  MakeName(0x0000074C, "sceKernelDeleteMutex");
  MakeFunction(0x0000074C, BADADDR);
  MakeName(0x000007C0, "import1");
  MakeDword(0x000007C0);
  OpOff(0x000007C0, 0, 0);
  MakeName(0x0000083C, "import1_name");
  MakeStr(0x0000083C, BADADDR);
  MakeName(0x000007C4, "import1_flags");
  MakeDword(0x000007C4);
  MakeName(0x000007C8, "import1_counts");
  MakeDword(0x000007C8);
  MakeName(0x000007CC, "import1_nids");
  MakeDword(0x000007CC);
  OpOff(0x000007CC, 0, 0);
  MakeName(0x000007D0, "import1_funcs");
  MakeDword(0x000007D0);
  OpOff(0x000007D0, 0, 0);
  MakeName(0x0000091C, "import1_sceKernelRegisterSysEventHandler");
  MakeDword(0x0000091C);
  MakeName(0x0000076C, "sceKernelRegisterSysEventHandler");
  MakeFunction(0x0000076C, BADADDR);
  MakeName(0x00000920, "import1_sceKernelUnregisterSysEventHandler");
  MakeDword(0x00000920);
  MakeName(0x00000774, "sceKernelUnregisterSysEventHandler");
  MakeFunction(0x00000774, BADADDR);
  MakeName(0x000007D4, "import2");
  MakeDword(0x000007D4);
  OpOff(0x000007D4, 0, 0);
  MakeName(0x00000858, "import2_name");
  MakeStr(0x00000858, BADADDR);
  MakeName(0x000007D8, "import2_flags");
  MakeDword(0x000007D8);
  MakeName(0x000007DC, "import2_counts");
  MakeDword(0x000007DC);
  MakeName(0x000007E0, "import2_nids");
  MakeDword(0x000007E0);
  OpOff(0x000007E0, 0, 0);
  MakeName(0x000007E4, "import2_funcs");
  MakeDword(0x000007E4);
  OpOff(0x000007E4, 0, 0);
  MakeName(0x00000910, "import2_sceI2cMasterTransmitReceive");
  MakeDword(0x00000910);
  MakeName(0x00000754, "sceI2cMasterTransmitReceive");
  MakeFunction(0x00000754, BADADDR);
  MakeName(0x00000914, "import2_sceI2cSetClock");
  MakeDword(0x00000914);
  MakeName(0x0000075C, "sceI2cSetClock");
  MakeFunction(0x0000075C, BADADDR);
  MakeName(0x00000918, "import2_sceI2cMasterTransmit");
  MakeDword(0x00000918);
  MakeName(0x00000764, "sceI2cMasterTransmit");
  MakeFunction(0x00000764, BADADDR);
}

static createExports() {
  MakeName(0x00000784, "export_0");
  MakeDword(0x00000784);
  MakeName(0x00000788, "export_0_flags");
  MakeDword(0x00000788);
  MakeName(0x0000078C, "export_0_counts");
  MakeDword(0x0000078C);
  MakeName(0x00000790, "export_0_exports");
  MakeDword(0x00000790);
  OpOff(0x00000790, 0, 0);
  MakeName(0x00000868, "export_0_module_start");
  MakeDword(0x00000868);
  MakeName(0x00000878, "");
  MakeDword(0x00000878);
  OpOff(0x00000878, 0, 0);
  MakeName(0x000002A4, "module_start");
  MakeFunction(0x000002A4, BADADDR);
  MakeName(0x0000086C, "export_0_module_reboot_before");
  MakeDword(0x0000086C);
  MakeName(0x0000087C, "");
  MakeDword(0x0000087C);
  OpOff(0x0000087C, 0, 0);
  MakeName(0x00000310, "module_reboot_before");
  MakeFunction(0x00000310, BADADDR);
  MakeName(0x00000870, "export_0_module_info");
  MakeDword(0x00000870);
  MakeName(0x00000880, "");
  MakeDword(0x00000880);
  OpOff(0x00000880, 0, 0);
  MakeName(0x00000874, "export_0_syslib_11B97506");
  MakeDword(0x00000874);
  MakeName(0x00000884, "");
  MakeDword(0x00000884);
  OpOff(0x00000884, 0, 0);
  MakeName(0x00000794, "export_1");
  MakeDword(0x00000794);
  OpOff(0x00000794, 0, 0);
  MakeName(0x00000888, "export_1_name");
  MakeStr(0x00000888, BADADDR);
  MakeName(0x00000798, "export_1_flags");
  MakeDword(0x00000798);
  MakeName(0x0000079C, "export_1_counts");
  MakeDword(0x0000079C);
  MakeName(0x000007A0, "export_1_exports");
  MakeDword(0x000007A0);
  OpOff(0x000007A0, 0, 0);
  MakeName(0x0000089C, "export_1_sceClockgenSetup");
  MakeDword(0x0000089C);
  MakeName(0x000008CC, "");
  MakeDword(0x000008CC);
  OpOff(0x000008CC, 0, 0);
  MakeName(0x00000000, "sceClockgenSetup");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x000008A0, "export_1_sceClockgenInit");
  MakeDword(0x000008A0);
  MakeName(0x000008D0, "");
  MakeDword(0x000008D0);
  OpOff(0x000008D0, 0, 0);
  MakeName(0x00000388, "sceClockgenInit");
  MakeFunction(0x00000388, BADADDR);
  MakeName(0x000008A4, "export_1_sceClockgenGetRevision");
  MakeDword(0x000008A4);
  MakeName(0x000008D4, "");
  MakeDword(0x000008D4);
  OpOff(0x000008D4, 0, 0);
  MakeName(0x000004A0, "sceClockgenGetRevision");
  MakeFunction(0x000004A0, BADADDR);
  MakeName(0x000008A8, "export_1_sceClockgenEnd");
  MakeDword(0x000008A8);
  MakeName(0x000008D8, "");
  MakeDword(0x000008D8);
  OpOff(0x000008D8, 0, 0);
  MakeName(0x000003DC, "sceClockgenEnd");
  MakeFunction(0x000003DC, BADADDR);
  MakeName(0x000008AC, "export_1_sceClockgenAudioClkSetFreq");
  MakeDword(0x000008AC);
  MakeName(0x000008DC, "");
  MakeDword(0x000008DC);
  OpOff(0x000008DC, 0, 0);
  MakeName(0x000004D4, "sceClockgenAudioClkSetFreq");
  MakeFunction(0x000004D4, BADADDR);
  MakeName(0x000008B0, "export_1_sceClockgenAudioClkEnable");
  MakeDword(0x000008B0);
  MakeName(0x000008E0, "");
  MakeDword(0x000008E0);
  OpOff(0x000008E0, 0, 0);
  MakeName(0x00000514, "sceClockgenAudioClkEnable");
  MakeFunction(0x00000514, BADADDR);
  MakeName(0x000008B4, "export_1_sceClockgenLeptonClkEnable");
  MakeDword(0x000008B4);
  MakeName(0x000008E4, "");
  MakeDword(0x000008E4);
  OpOff(0x000008E4, 0, 0);
  MakeName(0x00000554, "sceClockgenLeptonClkEnable");
  MakeFunction(0x00000554, BADADDR);
  MakeName(0x000008B8, "export_1_sceClockgenGetRegValue");
  MakeDword(0x000008B8);
  MakeName(0x000008E8, "");
  MakeDword(0x000008E8);
  OpOff(0x000008E8, 0, 0);
  MakeName(0x000004AC, "sceClockgenGetRegValue");
  MakeFunction(0x000004AC, BADADDR);
  MakeName(0x000008BC, "export_1_sceClockgenAudioClkDisable");
  MakeDword(0x000008BC);
  MakeName(0x000008EC, "");
  MakeDword(0x000008EC);
  OpOff(0x000008EC, 0, 0);
  MakeName(0x00000534, "sceClockgenAudioClkDisable");
  MakeFunction(0x00000534, BADADDR);
  MakeName(0x000008C0, "export_1_sceClockgenSetProtocol");
  MakeDword(0x000008C0);
  MakeName(0x000008F0, "");
  MakeDword(0x000008F0);
  OpOff(0x000008F0, 0, 0);
  MakeName(0x00000428, "sceClockgenSetProtocol");
  MakeFunction(0x00000428, BADADDR);
  MakeName(0x000008C4, "export_1_sceClockgen_driver_C9AF3102");
  MakeDword(0x000008C4);
  MakeName(0x000008F4, "");
  MakeDword(0x000008F4);
  OpOff(0x000008F4, 0, 0);
  MakeName(0x000000F8, "sceClockgen_driver_C9AF3102");
  MakeFunction(0x000000F8, BADADDR);
  MakeName(0x000008C8, "export_1_sceClockgenLeptonClkDisable");
  MakeDword(0x000008C8);
  MakeName(0x000008F8, "");
  MakeDword(0x000008F8);
  OpOff(0x000008F8, 0, 0);
  MakeName(0x00000574, "sceClockgenLeptonClkDisable");
  MakeFunction(0x00000574, BADADDR);
}

static createRelocs() {
}

