#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000011E8, "_module_flags");
  MakeDword(0x000011E8);
  MakeName(0x000011EC, "_module_name");
  MakeStr(0x000011EC, BADADDR);
  MakeName(0x00001208, "_module_gp");
  MakeDword(0x00001208);
  MakeName(0x0000120C, "_module_exports");
  MakeDword(0x0000120C);
  OpOff(0x0000120C, 0, 0);
  MakeName(0x00001210, "_module_exp_end");
  MakeDword(0x00001210);
  OpOff(0x00001210, 0, 0);
  MakeName(0x00001214, "_module_imports");
  MakeDword(0x00001214);
  OpOff(0x00001214, 0, 0);
  MakeName(0x00001218, "_module_imp_end");
  MakeDword(0x00001218);
  OpOff(0x00001218, 0, 0);
}

static createImports() {
  MakeName(0x000011BC, "import0");
  MakeDword(0x000011BC);
  OpOff(0x000011BC, 0, 0);
  MakeName(0x00001220, "import0_name");
  MakeStr(0x00001220, BADADDR);
  MakeName(0x000011C0, "import0_flags");
  MakeDword(0x000011C0);
  MakeName(0x000011C4, "import0_counts");
  MakeDword(0x000011C4);
  MakeName(0x000011C8, "import0_nids");
  MakeDword(0x000011C8);
  OpOff(0x000011C8, 0, 0);
  MakeName(0x000011CC, "import0_funcs");
  MakeDword(0x000011CC);
  OpOff(0x000011CC, 0, 0);
  MakeName(0x0000129C, "import0_sceDdrdbHash");
  MakeDword(0x0000129C);
  MakeName(0x00001138, "sceDdrdbHash");
  MakeFunction(0x00001138, BADADDR);
  MakeName(0x000012A0, "import0_sceDdrdbSigvry");
  MakeDword(0x000012A0);
  MakeName(0x00001140, "sceDdrdbSigvry");
  MakeFunction(0x00001140, BADADDR);
  MakeName(0x000012A4, "import0_sceDdrdbCertvry");
  MakeDword(0x000012A4);
  MakeName(0x00001148, "sceDdrdbCertvry");
  MakeFunction(0x00001148, BADADDR);
  MakeName(0x000012A8, "import0_sceDdrdbEncrypt");
  MakeDword(0x000012A8);
  MakeName(0x00001150, "sceDdrdbEncrypt");
  MakeFunction(0x00001150, BADADDR);
  MakeName(0x000012AC, "import0_sceDdrdbDecrypt");
  MakeDword(0x000012AC);
  MakeName(0x00001158, "sceDdrdbDecrypt");
  MakeFunction(0x00001158, BADADDR);
  MakeName(0x000012B0, "import0_sceDdrdbMul1");
  MakeDword(0x000012B0);
  MakeName(0x00001160, "sceDdrdbMul1");
  MakeFunction(0x00001160, BADADDR);
  MakeName(0x000012B4, "import0_sceDdrdbMul2");
  MakeDword(0x000012B4);
  MakeName(0x00001168, "sceDdrdbMul2");
  MakeFunction(0x00001168, BADADDR);
  MakeName(0x000012B8, "import0_sceDdrdbSiggen");
  MakeDword(0x000012B8);
  MakeName(0x00001170, "sceDdrdbSiggen");
  MakeFunction(0x00001170, BADADDR);
  MakeName(0x000012BC, "import0_sceDdrdbPrngen");
  MakeDword(0x000012BC);
  MakeName(0x00001178, "sceDdrdbPrngen");
  MakeFunction(0x00001178, BADADDR);
  MakeName(0x000011D0, "import1");
  MakeDword(0x000011D0);
  OpOff(0x000011D0, 0, 0);
  MakeName(0x00001234, "import1_name");
  MakeStr(0x00001234, BADADDR);
  MakeName(0x000011D4, "import1_flags");
  MakeDword(0x000011D4);
  MakeName(0x000011D8, "import1_counts");
  MakeDword(0x000011D8);
  MakeName(0x000011DC, "import1_nids");
  MakeDword(0x000011DC);
  OpOff(0x000011DC, 0, 0);
  MakeName(0x000011E0, "import1_funcs");
  MakeDword(0x000011E0);
  OpOff(0x000011E0, 0, 0);
  MakeName(0x000012C0, "import1_sceIdStorageLookup");
  MakeDword(0x000012C0);
  MakeName(0x00001180, "sceIdStorageLookup");
  MakeFunction(0x00001180, BADADDR);
}

static createExports() {
  MakeName(0x00001194, "export_0");
  MakeDword(0x00001194);
  MakeName(0x00001198, "export_0_flags");
  MakeDword(0x00001198);
  MakeName(0x0000119C, "export_0_counts");
  MakeDword(0x0000119C);
  MakeName(0x000011A0, "export_0_exports");
  MakeDword(0x000011A0);
  OpOff(0x000011A0, 0, 0);
  MakeName(0x00001248, "export_0_module_start");
  MakeDword(0x00001248);
  MakeName(0x00001254, "");
  MakeDword(0x00001254);
  OpOff(0x00001254, 0, 0);
  MakeName(0x00000000, "module_start");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x0000124C, "export_0_module_stop");
  MakeDword(0x0000124C);
  MakeName(0x00001258, "");
  MakeDword(0x00001258);
  OpOff(0x00001258, 0, 0);
  MakeName(0x00000008, "module_stop");
  MakeFunction(0x00000008, BADADDR);
  MakeName(0x00001250, "export_0_module_info");
  MakeDword(0x00001250);
  MakeName(0x0000125C, "");
  MakeDword(0x0000125C);
  OpOff(0x0000125C, 0, 0);
  MakeName(0x000011A4, "export_1");
  MakeDword(0x000011A4);
  OpOff(0x000011A4, 0, 0);
  MakeName(0x00001260, "export_1_name");
  MakeStr(0x00001260, BADADDR);
  MakeName(0x000011A8, "export_1_flags");
  MakeDword(0x000011A8);
  MakeName(0x000011AC, "export_1_counts");
  MakeDword(0x000011AC);
  MakeName(0x000011B0, "export_1_exports");
  MakeDword(0x000011B0);
  OpOff(0x000011B0, 0, 0);
  MakeName(0x0000126C, "export_1_sceMcctrl_3EF531DB");
  MakeDword(0x0000126C);
  MakeName(0x00001284, "");
  MakeDword(0x00001284);
  OpOff(0x00001284, 0, 0);
  MakeName(0x00000010, "sceMcctrl_3EF531DB");
  MakeFunction(0x00000010, BADADDR);
  MakeName(0x00001270, "export_1_sceMcctrl_877CD3A5");
  MakeDword(0x00001270);
  MakeName(0x00001288, "");
  MakeDword(0x00001288);
  OpOff(0x00001288, 0, 0);
  MakeName(0x00000058, "sceMcctrl_877CD3A5");
  MakeFunction(0x00000058, BADADDR);
  MakeName(0x00001274, "export_1_sceMcctrl_1EDFD6BB");
  MakeDword(0x00001274);
  MakeName(0x0000128C, "");
  MakeDword(0x0000128C);
  OpOff(0x0000128C, 0, 0);
  MakeName(0x00000068, "sceMcctrl_1EDFD6BB");
  MakeFunction(0x00000068, BADADDR);
  MakeName(0x00001278, "export_1_sceMcctrl_7CAC25B2");
  MakeDword(0x00001278);
  MakeName(0x00001290, "");
  MakeDword(0x00001290);
  OpOff(0x00001290, 0, 0);
  MakeName(0x00000230, "sceMcctrl_7CAC25B2");
  MakeFunction(0x00000230, BADADDR);
  MakeName(0x0000127C, "export_1_sceMcctrl_9618EE57");
  MakeDword(0x0000127C);
  MakeName(0x00001294, "");
  MakeDword(0x00001294);
  OpOff(0x00001294, 0, 0);
  MakeName(0x000008A0, "sceMcctrl_9618EE57");
  MakeFunction(0x000008A0, BADADDR);
  MakeName(0x00001280, "export_1_sceMcctrl_61550814");
  MakeDword(0x00001280);
  MakeName(0x00001298, "");
  MakeDword(0x00001298);
  OpOff(0x00001298, 0, 0);
  MakeName(0x000009D4, "sceMcctrl_61550814");
  MakeFunction(0x000009D4, BADADDR);
}

static createRelocs() {
}

