#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00000A0C, "_module_flags");
  MakeDword(0x00000A0C);
  MakeName(0x00000A10, "_module_name");
  MakeStr(0x00000A10, BADADDR);
  MakeName(0x00000A2C, "_module_gp");
  MakeDword(0x00000A2C);
  MakeName(0x00000A30, "_module_exports");
  MakeDword(0x00000A30);
  OpOff(0x00000A30, 0, 0);
  MakeName(0x00000A34, "_module_exp_end");
  MakeDword(0x00000A34);
  OpOff(0x00000A34, 0, 0);
  MakeName(0x00000A38, "_module_imports");
  MakeDword(0x00000A38);
  OpOff(0x00000A38, 0, 0);
  MakeName(0x00000A3C, "_module_imp_end");
  MakeDword(0x00000A3C);
  OpOff(0x00000A3C, 0, 0);
}

static createImports() {
  MakeName(0x000009DC, "import0");
  MakeDword(0x000009DC);
  OpOff(0x000009DC, 0, 0);
  MakeName(0x00000A44, "import0_name");
  MakeStr(0x00000A44, BADADDR);
  MakeName(0x000009E0, "import0_flags");
  MakeDword(0x000009E0);
  MakeName(0x000009E4, "import0_counts");
  MakeDword(0x000009E4);
  MakeName(0x000009E8, "import0_nids");
  MakeDword(0x000009E8);
  OpOff(0x000009E8, 0, 0);
  MakeName(0x000009EC, "import0_funcs");
  MakeDword(0x000009EC);
  OpOff(0x000009EC, 0, 0);
  MakeName(0x00000AF4, "import0_sceKernelCpuSuspendIntr");
  MakeDword(0x00000AF4);
  MakeName(0x00000960, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00000960, BADADDR);
  MakeName(0x00000AF8, "import0_sceKernelEnableIntr");
  MakeDword(0x00000AF8);
  MakeName(0x00000968, "sceKernelEnableIntr");
  MakeFunction(0x00000968, BADADDR);
  MakeName(0x00000AFC, "import0_sceKernelRegisterIntrHandler");
  MakeDword(0x00000AFC);
  MakeName(0x00000970, "sceKernelRegisterIntrHandler");
  MakeFunction(0x00000970, BADADDR);
  MakeName(0x00000B00, "import0_sceKernelCpuResumeIntr");
  MakeDword(0x00000B00);
  MakeName(0x00000978, "sceKernelCpuResumeIntr");
  MakeFunction(0x00000978, BADADDR);
  MakeName(0x00000B04, "import0_sceKernelDisableIntr");
  MakeDword(0x00000B04);
  MakeName(0x00000980, "sceKernelDisableIntr");
  MakeFunction(0x00000980, BADADDR);
  MakeName(0x00000B08, "import0_sceKernelReleaseIntrHandler");
  MakeDword(0x00000B08);
  MakeName(0x00000988, "sceKernelReleaseIntrHandler");
  MakeFunction(0x00000988, BADADDR);
  MakeName(0x00000B0C, "import0_sceKernelIsIntrContext");
  MakeDword(0x00000B0C);
  MakeName(0x00000990, "sceKernelIsIntrContext");
  MakeFunction(0x00000990, BADADDR);
  MakeName(0x000009F4, "import1");
  MakeDword(0x000009F4);
  OpOff(0x000009F4, 0, 0);
  MakeName(0x00000A64, "import1_name");
  MakeStr(0x00000A64, BADADDR);
  MakeName(0x000009F8, "import1_flags");
  MakeDword(0x000009F8);
  MakeName(0x000009FC, "import1_counts");
  MakeDword(0x000009FC);
  MakeName(0x00000A00, "import1_nids");
  MakeDword(0x00000A00);
  OpOff(0x00000A00, 0, 0);
  MakeName(0x00000A04, "import1_funcs");
  MakeDword(0x00000A04);
  OpOff(0x00000A04, 0, 0);
  MakeName(0x00000B10, "import1_sceKernelRegisterSuspendHandler");
  MakeDword(0x00000B10);
  MakeName(0x00000998, "sceKernelRegisterSuspendHandler");
  MakeFunction(0x00000998, BADADDR);
  MakeName(0x00000B14, "import1_sceKernelRegisterResumeHandler");
  MakeDword(0x00000B14);
  MakeName(0x000009A0, "sceKernelRegisterResumeHandler");
  MakeFunction(0x000009A0, BADADDR);
}

static createExports() {
  MakeName(0x000009B4, "export_0");
  MakeDword(0x000009B4);
  MakeName(0x000009B8, "export_0_flags");
  MakeDword(0x000009B8);
  MakeName(0x000009BC, "export_0_counts");
  MakeDword(0x000009BC);
  MakeName(0x000009C0, "export_0_exports");
  MakeDword(0x000009C0);
  OpOff(0x000009C0, 0, 0);
  MakeName(0x00000A78, "export_0_module_bootstart");
  MakeDword(0x00000A78);
  MakeName(0x00000A88, "");
  MakeDword(0x00000A88);
  OpOff(0x00000A88, 0, 0);
  MakeName(0x000002E8, "module_bootstart");
  MakeFunction(0x000002E8, BADADDR);
  MakeName(0x00000A7C, "export_0_module_reboot_before");
  MakeDword(0x00000A7C);
  MakeName(0x00000A8C, "");
  MakeDword(0x00000A8C);
  OpOff(0x00000A8C, 0, 0);
  MakeName(0x000003D0, "module_reboot_before");
  MakeFunction(0x000003D0, BADADDR);
  MakeName(0x00000A80, "export_0_module_info");
  MakeDword(0x00000A80);
  MakeName(0x00000A90, "");
  MakeDword(0x00000A90);
  OpOff(0x00000A90, 0, 0);
  MakeName(0x00000A84, "export_0_syslib_11B97506");
  MakeDword(0x00000A84);
  MakeName(0x00000A94, "");
  MakeDword(0x00000A94);
  OpOff(0x00000A94, 0, 0);
  MakeName(0x000009C4, "export_1");
  MakeDword(0x000009C4);
  OpOff(0x000009C4, 0, 0);
  MakeName(0x00000A98, "export_1_name");
  MakeStr(0x00000A98, BADADDR);
  MakeName(0x000009C8, "export_1_flags");
  MakeDword(0x000009C8);
  MakeName(0x000009CC, "export_1_counts");
  MakeDword(0x000009CC);
  MakeName(0x000009D0, "export_1_exports");
  MakeDword(0x000009D0);
  OpOff(0x000009D0, 0, 0);
  MakeName(0x00000AAC, "export_1_sceSTimerGetCount");
  MakeDword(0x00000AAC);
  MakeName(0x00000AD0, "");
  MakeDword(0x00000AD0);
  OpOff(0x00000AD0, 0, 0);
  MakeName(0x00000738, "sceSTimerGetCount");
  MakeFunction(0x00000738, BADADDR);
  MakeName(0x00000AB0, "export_1_sceSTimerStopCount");
  MakeDword(0x00000AB0);
  MakeName(0x00000AD4, "");
  MakeDword(0x00000AD4);
  OpOff(0x00000AD4, 0, 0);
  MakeName(0x00000664, "sceSTimerStopCount");
  MakeFunction(0x00000664, BADADDR);
  MakeName(0x00000AB4, "export_1_SysTimerForKernel_53231A15");
  MakeDword(0x00000AB4);
  MakeName(0x00000AD8, "");
  MakeDword(0x00000AD8);
  OpOff(0x00000AD8, 0, 0);
  MakeName(0x000007B0, "SysTimerForKernel_53231A15");
  MakeFunction(0x000007B0, BADADDR);
  MakeName(0x00000AB8, "export_1_sceSTimerResetCount");
  MakeDword(0x00000AB8);
  MakeName(0x00000ADC, "");
  MakeDword(0x00000ADC);
  OpOff(0x00000ADC, 0, 0);
  MakeName(0x000006CC, "sceSTimerResetCount");
  MakeFunction(0x000006CC, BADADDR);
  MakeName(0x00000ABC, "export_1_sceSTimerSetHandler");
  MakeDword(0x00000ABC);
  MakeName(0x00000AE0, "");
  MakeDword(0x00000AE0);
  OpOff(0x00000AE0, 0, 0);
  MakeName(0x000001B4, "sceSTimerSetHandler");
  MakeFunction(0x000001B4, BADADDR);
  MakeName(0x00000AC0, "export_1_sceSTimerStartCount");
  MakeDword(0x00000AC0);
  MakeName(0x00000AE4, "");
  MakeDword(0x00000AE4);
  OpOff(0x00000AE4, 0, 0);
  MakeName(0x000005D4, "sceSTimerStartCount");
  MakeFunction(0x000005D4, BADADDR);
  MakeName(0x00000AC4, "export_1_SysTimerForKernel_B53534B4");
  MakeDword(0x00000AC4);
  MakeName(0x00000AE8, "");
  MakeDword(0x00000AE8);
  OpOff(0x00000AE8, 0, 0);
  MakeName(0x000004F8, "SysTimerForKernel_B53534B4");
  MakeFunction(0x000004F8, BADADDR);
  MakeName(0x00000AC8, "export_1_sceSTimerFree");
  MakeDword(0x00000AC8);
  MakeName(0x00000AEC, "");
  MakeDword(0x00000AEC);
  OpOff(0x00000AEC, 0, 0);
  MakeName(0x0000043C, "sceSTimerFree");
  MakeFunction(0x0000043C, BADADDR);
  MakeName(0x00000ACC, "export_1_sceSTimerAlloc");
  MakeDword(0x00000ACC);
  MakeName(0x00000AF0, "");
  MakeDword(0x00000AF0);
  OpOff(0x00000AF0, 0, 0);
  MakeName(0x00000000, "sceSTimerAlloc");
  MakeFunction(0x00000000, BADADDR);
}

static createRelocs() {
}

